﻿/*MUD BLAZOR*/

.mud-dialog, .mud-button-root{
    border-radius: .55rem;
}

.mud-table-root {
    background-color: white;
}


/*CUSTOM*/
:root {
    --tercero-color: #a73fb9;
    --tercero-bg-color-light: #F3ECF5;
    --tercero-bg-color-table-hover: #eee7f2;
    --despachado-color: #FFCA28;
    --despachado-bg-color-light: #FFF8E1;
    --despachado-bg-color-table-hover: #f9f2db;
    /*--table-bg-color-selected: hsl(359, 90%, 95%);*/
    --table-bg-color-selected: hsl(362, 88%, 95%);
    --table-bg-color-selected-subtext: hsl(0, 0%, 30%);
    --estiba-layout-columns: 1;
    --estiba-layout-rows: 1;
}

/*-------BUTTONS-------*/
.btn-primary {
    background-color: var(--mud-palette-primary);
    color: whitesmoke;
    padding: .33em .9em;
    font-weight: 400;
}
.btn-primary:hover {
    background-color: var(--mud-palette-secondary) !important;
}

.btn-secondary {
    padding: .27em .9em;
    font-weight: 400;
}

.action-btn {
    color: gray;
    padding: .33em .9em;
    font-weight: 400;
}

/*buttons for the header banner*/
.btn-action {
    background: transparent;
    color: whitesmoke;
    border-color: darkgrey;
}

.btn-action:hover {
    background: #1e1e1e;
    box-shadow: 0px 0px .4em 0px grey;
}

/*---------LAYOUT---------*/
/*  
    flex-container: prepara el contenedor padre para que los hijos ocupen el 100% del height
    fill-flex-container: hace que el contenedor hijo ocupe el 100% del height del padre
*/
.flex-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    position: relative;
}

.fill-flex-container {
    flex: 1 1 auto;
    overflow-y: scroll;
}

.page-content {
    height: calc(100% - 9.5rem);
    position: relative;
}

/*Con esta clase se puede deshabilitar cualquier div y su contenido*/
.disabled-element {
    pointer-events: none;
    opacity: 0.5;
}

/*Hide Scrollbars*/

.hide-scroll {
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */
}
.hide-scroll::-webkit-scrollbar {
    display: none; /* Chrome */
}

/*---------COMPONENTS---------*/

.pallet-resume {
    border: dashed 1px grey;
    border-radius: 8px;
    color: #5F5F5F;
    background-color: whitesmoke;
    padding: 0.5em 1em;
}

.search-filter .mud-input {
    color: white;
}

.search-filter .mud-input-outlined-border {
    border-radius: .4em !important;
    border-style: solid !important;
    transition: border-width, border-color 200ms cubic-bezier(.4,0,.2,1) 0ms !important;
}

/*---------UTILITIES---------*/

/*NUEVO! metodo excelente para mostrar texto con ellipsis*/
.puntos-suspensivos {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: var(--line-clamp);
}

/*para las tables funciona en combinación con la clase .table-cell-ellipsis*/

.text-ellipsis {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

/*---------TABLES---------*/

.table-cell-ellipsis td {
    max-width: 0;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.hidden-button-column {
    visibility: hidden;
    padding: .15em;
}

.mud-table-hover .mud-table-container .mud-table-root .mud-table-body .mud-table-row:hover .hidden-button-column {
    visibility: visible;
}

.tr-tercero {
    background: var(--tercero-bg-color-light) !important;
}

.tr-tercero:hover {
    background: var(--tercero-bg-color-table-hover) !important;
}

.tr-despachado {
    background: var(--despachado-bg-color-light) !important;
}

.tr-despachado:hover {
    background: var(--despachado-bg-color-table-hover) !important;
}

.tr-warning {
    background: var(--despachado-bg-color-light) !important;
}

.tr-warning:hover {
    background: var(--despachado-bg-color-table-hover) !important;
}

.selected {
    background-color: var(--table-bg-color-selected) !important;
}

.selected > td {
    font-weight: 500;
    color: black !important;
}

.selected > td .mud-input {
    color: var(--mud-palette-primary) !important;
}

.selected .subtext {
    color: var(--table-bg-color-selected-subtext) !important;
}

/*TABLE HEADER*/
.table-header th {
    background: #F2F4F7 !important;
    padding: .8em 1.1em !important;
    border-bottom: none;
}

.table-header th:first-child {
    border-top-left-radius: 8px !important;
    border-bottom-left-radius: 8px !important;
}

.table-header th:last-child {
    border-top-right-radius: 8px !important;
    border-bottom-right-radius: 8px !important;
}

.table-header td {
    padding: .6em 1em !important;
}

.table-footer .mud-table-pagination {
    overflow: hidden;
}

/*---------CUSTOM TEXTFIELD---------*/

.generic-input {
    border-radius: 8px;
    background: #e8e8e8;
}

.generic-input .mud-input {
    padding: 1.35em 0;
}

.generic-input:has(input:focus) {
    outline: solid .125rem var(--mud-palette-primary);
}

.generic-input .mud-input.mud-input-outlined .mud-input-outlined-border {
    border-radius: 8px;
    border-width: 0;
}

.generic-input .mud-input.mud-input-outlined.mud-input-adorned-end {
    height: 2.15rem;
    font-size: 1em;
}